#pragma once

#include <QString>


class QCryptographicHash;


namespace qut
{

class Hash
{
public:
	static QString ToMD4(const QString& src);
	static QString ToMD5(const QString& src);
	static QString ToSha1(const QString& src);

private:
	static void ToHash(QCryptographicHash& hs, const QString& src, QString& dst);
	static QString HashToString(const QCryptographicHash& hs);
};

}
